Summary: Programs for mounting and unmounting filesystems.
Name: mount
Exclusiveos: Linux
Version: 2.10h
Release: 3mdk
Copyright: GPL
Group: System/Base
Source: ftp://ftp.win.tue.nl/pub/linux/utils/util-linux/util-linux-%{version}.tar.bz2
Patch0: util-linux-2.9o-mount-nfsv3.patch.bz2
Patch1: util-linux-2.9w-mount-nfsv3try.patch.bz2
Patch3: util-linux-loop-as-type.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root
Prereq: mktemp /bin/awk /usr/bin/cmp textutils fileutils

%description
The mount package contains the mount, umount, swapon and swapoff
programs.  Accessible files on your system are arranged in one big
tree or hierarchy.  These files can be spread out over several
devices. The mount command attaches a filesystem on some device to
your system's file tree.  The umount command detaches a filesystem
from the tree.  Swapon and swapoff, respectively, specify and disable
devices and files for paging and swapping.

%package -n losetup
Summary: Programs for setting up and configuring loopback devices.
Group: System/Configuration/Networking

%description -n losetup
Linux supports a special block device called the loop device, which
maps a normal file onto a virtual block device.  This allows for the
file to be used as a "virtual file system" inside another file.
Losetup is used to associate loop devices with regular files or block
devices, to detach loop devices and to query the status of a loop
device.

%prep
# i'm a barbie girl in a barbie world
# Hey little rambo this _is_a_hackiehack_ i hate.

%setup -q -n util-linux-%{version}
%patch0 -p1
%patch1 -p1
%patch3 -p1

%build
./configure
perl -pi -e "s/#define util_linux_version.*/#define util_linux_version \\\"mount-%{version}\\\"/" defines.h
cd mount

( cd ../lib; cc $RPM_OPT_FLAGS -c setproctitle.c )

make	LIB=../lib \
	BINDIR=/bin \
	SBINDIR=/sbin \
	MANDIR=/usr/man \
	all

%install
cd mount 
rm -rf $RPM_BUILD_ROOT
make	LIB=../lib \
	BINDIR=$RPM_BUILD_ROOT/bin \
	SBINDIR=$RPM_BUILD_ROOT/sbin \
	MAN5DIR=$RPM_BUILD_ROOT/usr/man/man5 \
	MAN8DIR=$RPM_BUILD_ROOT/usr/man/man8 \
	INSTALLDIR="install -d -m 755" \
	INSTALLSUID="install -s -m 755" \
	INSTALLBIN="install -s -m 755" \
	INSTALLMAN="install -m 644" \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc mount/README.mount
%attr(4755,root,root)	/bin/mount
%attr(4755,root,root)	/bin/umount
/sbin/swapon
/sbin/swapoff
/usr/man/man5/fstab.5*
/usr/man/man5/nfs.5*
/usr/man/man8/mount.8*
/usr/man/man8/swapoff.8*
/usr/man/man8/swapon.8*
/usr/man/man8/umount.8*

%files -n losetup
%defattr(-,root,root)
/usr/man/man8/losetup.8*
/sbin/losetup

%changelog
* Tue May  2 2000 Pixel <pixel@mandrakesoft.com> 2.10h-3mdk
- fix patch for loopback

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10h-2mdk
- Fix group for losetup.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10h-1mdk
- Spec-helper cleanup.
- 2.10h.
- adjust groups.

* Fri Mar 10 2000 Pixel <pixel@mandrakesoft.com> 2.10f-2mdk
- patch for adding ability to say "-t loop" or "-t noloop", looking in
the fstab mount options

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10f-1mdk
- 2.10f
- Clean-Up specs.
- Remove filesystems (moved to setup).
- Add Trond Nfsv3 patch.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.9z-7mdk
- added sparc support.

* Sun Nov 28 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- added alpha as architecture (and rebuild by pixel)

* Sat Nov 27 1999 Pixel <pixel@linux-mandrake.com>
- removed buggy ugly awk %post

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix %files defattr.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First Mandrake package from split of utils-linux <=> mount,losetup;
- You want to see beautifull thing, come heap this spec :-\.

* Mon Sep 13 1999 Erik Troan <ewt@redhat.com>
- fixed owner patch <blush>

* Thu Sep 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added owned patch
- add "owner" option to cdrom and floppy devices unless one of the
  options "owner", "noowner", "user", or "nouser" is already set.
  Set the "noowner" option to keep this change from being made in
  the future.

* Fri Jul 16 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9u.

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9s.

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9o.

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- accept ncpfs/smbfs as valid types, not just ncp/smb

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Sun Mar 14 1999 Jeff Johnson <jbj@redhat.com>
- rebuild to try and get setuid bits in binary package  -- they're in the
  spec file %attr (#1507).

* Mon Jan 18 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for Raw Hide.
- update to mount-2.9 (from util-linux-2.9)

* Tue Oct 06 1998 Cristian Gafton <gafton@redhat.com>
- accept the fact that sometimes the last line in fstab does not have a \n

* Wed Aug  5 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8a (from util-linux)

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixed to compile on manhattan

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to mount-2.7l

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- updated for glibc 2.1

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- updated to 2.7f
- added glibc hacks for the Alpha (I don't know why Intel doesn't need them)

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- updated to 2.6h
- built against glibc
